Bug 538061 - SELinux is preventing /usr/sbin/uuxqt "execute" access on /usr/sbin/sendmail.postfix.
Summary: SELinux is preventing /usr/sbin/uuxqt "execute" access on /usr/sbin/sendmail....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:978bdbbcdbf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-17 13:44 UTC by Nils Philippsen
Modified: 2009-12-02 04:42 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:11 UTC


Attachments (Terms of Use)

Description Nils Philippsen 2009-11-17 13:44:49 UTC
Summary:

SELinux is preventing /usr/sbin/uuxqt "execute" access on
/usr/sbin/sendmail.postfix.

Detailed Description:

SELinux denied access requested by uuxqt. It is not expected that this access is
required by uuxqt and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:uucpd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sendmail_exec_t:s0
Target Objects                /usr/sbin/sendmail.postfix [ file ]
Source                        uuxqt
Source Path                   /usr/sbin/uuxqt
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           uucp-1.07-20.fc12
Target RPM Packages           postfix-2.6.5-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP Sat
                              Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 17 Nov 2009 02:28:07 PM CET
Last Seen                     Tue 17 Nov 2009 02:44:08 PM CET
Local ID                      63abdef6-f56b-4324-8646-43b34c52a101
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258465448.26:89765): avc:  denied  { execute } for  pid=20079 comm="uuxqt" name="sendmail.postfix" dev=dm-2 ino=2884083 scontext=system_u:system_r:uucpd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sendmail_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258465448.26:89765): arch=c000003e syscall=59 success=no exit=-13 a0=2209700 a1=2208980 a2=7fff7669d1b0 a3=7f156af5a9d0 items=0 ppid=20075 pid=20079 auid=0 uid=10 gid=14 euid=10 suid=10 fsuid=10 egid=14 sgid=14 fsgid=14 tty=(none) ses=3664 comm="uuxqt" exe="/usr/sbin/uuxqt" subj=system_u:system_r:uucpd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,uuxqt,uucpd_t,sendmail_exec_t,file,execute
audit2allow suggests:

#============= uucpd_t ==============
allow uucpd_t sendmail_exec_t:file execute;

Comment 1 Daniel Walsh 2009-11-17 13:58:16 UTC
# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:41:53 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:25:13 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Nils Philippsen 2009-11-26 16:23:25 UTC
Works for me, I get by without my homemade uuxqt module.

Comment 5 Fedora Update System 2009-12-02 04:36:13 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.